Bug 912159 - changes to beaker.base_mac_addr not taking effect
Summary: changes to beaker.base_mac_addr not taking effect
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.11
Hardware: Unspecified
OS: Unspecified
high
unspecified vote
Target Milestone: 0.12
Assignee: Dan Callaghan
QA Contact: Qixiang Wan
URL:
Whiteboard: Misc
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-18 00:18 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:57:15 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2013-02-18 00:18:01 UTC
If the beaker.base_mac_addr config setting is changed, and the new value is higher than the previous one (or higher than the default value if it was absent), MAC addresses will continue to be allocated in the old range so long as there is at least one guest recipe running. (And in a large Beaker installation, there will probably always be at least one guest recipe running.)

The MAC address assignments will gradually increase to converge on the new base address, due to the query used for finding unused MAC addresses. This is a problem because it defeats the purpose of MAC address re-use, which is to avoid exhausting the lab DHCP pool.

The base address needs to be enforced as a hard minimum in the query.

Comment 1 Dan Callaghan 2013-02-18 00:54:38 UTC
http://gerrit.beaker-project.org/1728

Comment 3 Qixiang Wan 2013-04-03 03:36:37 UTC
Verified with beaker-0.11.3-1.git.210.bda2c22.

steps:
1. Create a job which can be scheduled on RHEV guests.
2. Wait for the job go to "running" which means there is a guest created
3. Change the beaker.base_mac_addr to "52:55:00:00:00:00" (or any value larger than the default/previous one), restart httpd and beakerd
4. Create a new job which also can be scheduled on RHEV guests (or just clone the job in step 1)
5. Wait for the job go to "running", check the mac addr allocated to the new guest. It's value should be larger than the one changed at step 3.

Comment 4 Dan Callaghan 2013-04-11 04:57:15 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.